/*
   These routines may be adapted for any purpose when
   used with the MPC Code Development system.  No
   warranty is implied or given as to their usability
   for any purpose.

        (c) Copyright 1995

        Byte Craft Limited
        Waterloo, Ontario
        Canada N2J 4E4
        (519) 888-6911

        Sherif Abdel-Kader
*/

#include <16C71.h>

// This is an example showing how two
// mutually exclusive functions can
// share the same variables.
// Here x,y are shared by func1() and
// func2().

int x,y;

void func1(x,y) {
  TRISA = 0x00;
  PORTA = x+y;
}

void func2(x,y) {
  TRISB = 0x00;
  PORTB = x-y;
}

void main() {
  int l,m;
  l = 4;
  m = 2;
  func1(l,m);
  l = 5;
  m = 3;
  func2(l,m);
}
