/*
   These routines may be adapted for any purpose when
   used with the MPC Code Development system.  No
   warranty is implied or given as to their usability
   for any purpose.

        (c) Copyright 1995

        Byte Craft Limited
        Waterloo, Ontario
        Canada N2J 4E4
        (519) 888-6911

        Sherif Abdel-Kader
*/

// This program uses the __TRIS macro defined in
// all 16C5X header files. It can be used to pass
// values to the TRIS register.
//

#include <16c56.h>

#define X 0x0F

void main() {
  // Set PORTB as follows:
  // PORTB<0:3>  input
  // PORTB<4:7>  output

  __TRIS(X,PORTB);
  __TRIS(0x0F,PORTB);  // PORTB is @ 0x06

  // Write 0xAA in PORTB
  PORTB = 0xAA;
}


